Summary: 	GTK+ interface for CVS
Name: 		gcvs
Version: 	1.0
Release: 	%mkrel 5
License: 	GPL
Group: 		Development/Other 
Source: 	gcvs-%{version}.tar.bz2
Patch0:		gcvs-gcc34.patch.bz2
# (fc) 1.0-5mdk fix build on 64bits system
Patch1:		gcvs-1.0-64bits.patch.bz2
# (fc) 1.0-5mdk don't build cvsunix part
Patch2:		gcvs-1.0-cvsunix.patch.bz2
URL: 		http://www.wincvs.org
BuildRequires: 	gtk+1.2-devel bison flex tcl texinfo
%if %mdkver > 200600
Buildrequires: tcl-devel
%endif
BuildRoot: 	%{_tmppath}/%{name}-root

%description
The gcvs package contains an interface for cvs written in C++ using
gtk+. It contains a version of cvs modified for communication
purposes with gcvs. gcvs is part of a bigger project named CvsGui
which provides several graphical clients on Mac and Windows as well.

%prep

%setup -q
%patch0 -p0
%patch1 -p1 -b .64bits
%patch2 -p1 -b .configure

#needed by patch2
aclocal
automake
autoconf

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
rm -fr %buildroot/%_bindir/{cvs*,rcs*}
rm -fr %buildroot/{%_libdir,%_infodir,%_mandir}

# menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}): command="gcvs" icon="development_section.png" needs="X11" section="Applications/Development/Tools" title="gCVS" longtitle="GTK frontend for CVS"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-, root, root)
%doc COPYING ChangeLog NEWS README TODO
%{_menudir}/*
%{_bindir}/gcvs
%{_datadir}/gcvs

%changelog
* Fri May 12 2006 Frederic Crozat <fcrozat@mandriva.com> 1.0-5mdk
- Patch1: fix build on 64bits system
- Patch2: don't build cvsunix part
- fix BR on 2006 to stop iurt spam

* Mon Jan 02 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0-4mdk
- rebuilt against soname aware deps (tcl/tk)
- fix deps

* Tue Jun 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0-3mdk
- rebuild for new g++
- patch 0: fix compiling with g++-3.4
- fix section names

* Fri Apr 25 2003 Austin Acton <aacton@yorku.ca> 1.0-2mdk
- buildrequires texinfo

* Fri Apr 18 2003 Austin Acton <aacton@yorku.ca> 1.0-1mdk
- fix buildrequires
- 1.0 final

* Mon Aug 26 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0b4-1mdk
- from Austin Acton <aacton@yorku.ca> :
	- initial package creation for Mandrake 8.2+
